Page MenuHomePhabricator

Accept degrees-minutes-seconds (DMS) coordinates in the Location field, not just decimal coordinates
Closed, ResolvedPublic

Description

As OTRS member I'm confronted with people which report strong misunderstanding of such feature (on the last step of this tool, for example Ticket#2014111910020075 #Article10887482). I personally don't use the Upload Wizard (yet) and don't upload really photos (yet).

Technical info:
https://commons.wikimedia.org/wiki/Special:Diff/196258704/196531066?title=File:4-Elemente-neu.JPG
Affected template location: https://commons.wikimedia.org/wiki/Template:Location

I simply suggest to convert the data to the right format (cut of units and maybe translate the letters for the cardinal points).

Details

Related Gerrit Patches:
mediawiki/extensions/UploadWizard : masterNormalize all coordinate input to decimal degrees

Event Timeline

Restricted Application added subscribers: Zppix, Steinsplitter, Matanya, Aklapper. · View Herald TranscriptMay 18 2016, 9:35 AM
Perhelion updated the task description. (Show Details)May 18 2016, 9:37 AM
Perhelion updated the task description. (Show Details)May 18 2016, 9:45 AM
matmarex renamed this task from Better support for Geocoding on the Upload Wizard to Accept degrees-minutes-seconds (DMS) coordinates in the Location field, not just decimal coordinates.May 24 2016, 11:40 PM

1) Directly related to the mentioned problem i see a growing number of files appearing in this maintenance category: https://commons.wikimedia.org/wiki/Category:Media_with_erroneous_locations. Especially over the last weeks it seems that a lot of participants of WLE 2016 are uploading files with broking location templates because they fill in coordinates in non-decimal format.

Unfortunately, the users manually use several different formats as for example:

  • {{Location|25°_22'_24"_S|54°_2'_33"_O}}
  • {{Location|21.1243° N|70.8242° E}}
  • {{Location| 21° 29′ 16″ S|44° 38′ 34″ W}}

I would really like to see an improvement in this field because this constant stream of broken template usages generates a big amount of work for the cleaners.

2) Furthermore, i am sure the user assumes that manually entered coordinates refer to the shown object but not the location of the camera. Therefore, the usage of the Location template is wrong and should be change into Object location template instead: https://commons.wikimedia.org/wiki/Template:Object_location.

Change 298277 had a related patch set uploaded (by Matthias Mullie):
Normalize all coordinate input to decimal degrees

https://gerrit.wikimedia.org/r/298277

Jarekt added a subscriber: Jarekt.Jul 12 2016, 7:30 PM

By the way I was just looking through my regexp for correcting files with bad location templates and we see large variety of symbols for degree/minute/second.

  • degree: ° º (char: 176 and 186)
  • minute: ` ´ ' ′ ' (char: 96, 180, 8242 and 39)
  • second: " ″ (char: 34 and 8243) and two of any minute character

there is probably much more of them.

Also different countries seem to use different letters for NSWE, see https://commons.wikimedia.org/wiki/Module:I18n/coordinates.

Also different countries seem to use different letters for NSWE, see https://commons.wikimedia.org/wiki/Module:I18n/coordinates.

Yeah… many of these conflict between languages, though. For example, 'O' stands for west in French, but east in German. 'S' stands for north in Slovak, 'N' stands for south in Vietnamese. I think this would be pretty hopeless, we have no way to tell if a Vietnamese user wrote 'N' to mean north or south. I think we can only stick to English here :/

Change 298277 merged by jenkins-bot:
Normalize all coordinate input to decimal degrees

https://gerrit.wikimedia.org/r/298277

matmarex closed this task as Resolved.Jul 20 2016, 3:02 PM
matmarex removed a project: Patch-For-Review.